[SRU] juno 2014.2.2 point release

Bug #1418695 reported by Corey Bryant on 2015-02-05
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ceilometer (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned

Bug Description

OpenStack 2014.2.2 (stable/juno) released this afternoon.

Here's the release email from Chuck Short:

Hello everyone,

The OpenStack Stable Maintenance team is happy to announce the 2014.2.2
stable Juno release. We have been busy reviewing and accepting
backported bugfixes to the stable/Juno branches according to the criteria set at:

https://wiki.openstack.org/wiki/StableBranch

A total of 104 bugs have been fixed across all projects since 2014.1.2.
These updates to Juno are intended to be low risk with no intentional
regressions or API changes. The list of bugs, tarballs and other milestone
information for each project may be found on Launchpad:

https://launchpad.net/ceilometer/juno/2014.2.2
https://launchpad.net/cinder/juno/2014.2.2
https://launchpad.net/glance/juno/2014.2.2
https://launchpad.net/heat/juno/2014.2.2
https://launchpad.net/horizon/juno/2014.2.2
https://launchpad.net/keystone/juno/2014.2.2
https://launchpad.net/neutron/juno/2014.2.2
https://launchpad.net/nova/juno/2014.2.2
https://luanchpad.net/sahara/juno/2014.2.2
https://launchpad.net/trove/juno/2014.2.2

Release notes may be found on the wiki:

https://wiki.openstack.org/wiki/ReleaseNotes/2014.2.2

The freeze on the stable/juno branches will be lifted today as we
begin working toward 2014.2.3, which will be released on a TBD.

Thanks
chuck

_______________________________________________
Mailing list: http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack
Post to : <email address hidden>
Unsubscribe : http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack

Related branches

Changed in ceilometer (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in glance (Ubuntu):
status: New → Invalid
Changed in heat (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
Corey Bryant (corey.bryant) wrote :

cinder/neutron/nova are dependent on SRU of python-eventlet - https://bugs.launchpad.net/ubuntu/+source/nova/+bug/1419117

Hello Corey, or anyone else affected,

Accepted ceilometer into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ceilometer/2014.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceilometer (Ubuntu Utopic):
status: New → Fix Committed
tags: added: verification-needed
Changed in glance (Ubuntu Utopic):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted glance into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/glance/1:2014.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in heat (Ubuntu Utopic):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted heat into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/heat/2014.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted keystone into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/keystone/1:2014.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Utopic):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted nova into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/1:2014.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Utopic):
status: New → Fix Committed
Changed in cinder (Ubuntu Utopic):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cinder/1:2014.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Utopic):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted neutron into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/neutron/1:2014.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted horizon into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/horizon/1:2014.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Utopic):
status: New → Fix Committed
Corey Bryant (corey.bryant) wrote :

Thanks Chris. Testing has successfully completed on all of these packages.

tags: added: verification-done
tags: added: upgrade-software-version
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2014.2.2-0ubuntu1

---------------
glance (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (d9a928e) (LP: #1418695):
    - [da10e96] Adding filesystem schema check in async task
    - [7d5d865] Cleanup chunks for deleted image that was 'saving'
    - [5191ed1] Prevent file, swift+config and filesystem schemes
    - [0400de4] Fix and add a test case for IPv6
    - [07a99e1] Fix getaddrinfo if dnspython is installed
    - [d9a928e] To prevent client use v2 patch api to handle file and swift location
  * d/p/fix-requirements.patch: Rebased.
  * d/p/ipv6-support.patch: Dropped. Fix is now upstream.
  * d/control: Bump minimum python-eventlet to get socket_timeout support.
 -- Chuck Short <email address hidden> Mon, 09 Feb 2015 15:05:32 -0500

Changed in glance (Ubuntu Utopic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for glance has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2014.2.2-0ubuntu1

---------------
heat (2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (423ee27) (LP: #1418695):
    - [b52c916] Convert bool/int values into string for string properties
    - [65294f4] Check that template format plugins are registered
    - [94dec9e] Disable nested validation for ResourceGroup with zero count
    - [c5346cd] Remove mocking of timeutils.utcnow
    - [d8abdfd] Always update nested stacks
    - [edf0198] ResourceGroup allow update of resource_def
    - [aabd3d8] Add Dimensions Default in AWS_CloudWatch_Alarm.yaml
    - [bbf7182] Fix error msg invalid stack or res name
    - [423ee27] Use kwargs for ResourcePropertyConflict exception
  * d/p/fix-requirements.patch: Rebased.
  * d/control: Bump minimum python-eventlet to get socket_timeout support.
 -- Chuck Short <email address hidden> Mon, 09 Feb 2015 15:12:41 -0500

Changed in heat (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2014.2.2-0ubuntu1

---------------
keystone (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (aa23ce0) (LP: #1418695):
    - [4cdd217] Additional test coverage for password changes
    - [acdf034] explicit namespace prefixes for SAML2 assertion
    - [44c1bd0] Fix modifying a role with same name using LDAP
    - [7fc6585] Add a test for modifying a role to set the name the same
    - [fc6e9e8] Fix disabling entities when enabled is ignored
    - [85c658f] Add tests for enabled attribute ignored
    - [1594c84] Fix update role without name using LDAP
    - [d6ded70] Add test for update role without name
    - [afd4e0d] Exclude domains with inherited roles from user domain list.
    - [eeda52e] Improve testing of exclusion of inherited roles.
    - [e5b660e] Fix project federation tokens for inherited roles.
    - [609c5b3] Improve testing of project federation tokens for inherited roles.
    - [5ec7357] Fix domain federation tokens for inherited roles.
    - [4a914d7] Improve testing of domain federation tokens for inherited roles.
    - [a9a843e] User ids that begin with 0 cannot authenticate through ldap
    - [aa23ce0] Move unit tests from test_backend_ldap
  * d/control: Bump minimum python-eventlet to get socket_timeout support.
 -- Chuck Short <email address hidden> Mon, 09 Feb 2015 15:32:52 -0500

Changed in keystone (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 1:2014.2.2-0ubuntu1

---------------
nova (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (0bad3b1) (LP: #1418695):
    - [965fd30] Eventlet green threads not released back to pool
    - [4349015] Fix unit test failure due to tests sharing mocks
    - [33e0813] Fix image metadata returned for volumes
    - [af3af77] Fixes Hyper-V boot from volume live migration
    - [8c07d42] Add LibvirtGPFSVolumeDriver class
    - [1e4088f] Truncate encoded instance message to 255 or fewer
    - [4c1f28a] Fix connecting unnecessary iSCSI sessions issue
    - [4d91175] Add handling of BadRequest from Neutron
    - [9ee1a0f] only emit deprecation warnings once
    - [56e3dd3] Make ec2 auth support v4 signature format
    - [9f81d9b] Update eventlet API in libvirt driver
    - [2dec248] Unshelving a volume backed instance doesn't work
    - [d9bcfab] Return floating_ip['fixed_ip']['instance_uuid'] from neutronv2 API
    - [5e44c9f] fix pep8 errors that apparently slipped in
    - [7307dba] Fix disconnecting necessary iSCSI sessions issue
    - [eb58ed4] libvirt: safe_decode domain.XMLDesc(0) for i18n logging
    - [ee66c04] Fix ironic delete fails when flavor deleted
    - [39097d3] Add virtual interface before add fixed IP on nova-network
    - [46fa995] Fix live migration api stuck when migrate to old nova node
    - [2da2341] Extends use of ServiceProxy to more methods in HostAPI in cells
    - [699b467] Don't make a no-op DB call
    - [8a3b609] Fix libvirt watchdog support
    - [4dd5080] VMware: fix compute node exception when no hosts in cluster
    - [0bad3b1] Sync strutils from oslo-incubator for mask_password fix
  * d/control: Bump minimum python-eventlet to get socket_timeout support.
    (LP: #1419117).
 -- Chuck Short <email address hidden> Mon, 09 Feb 2015 15:38:28 -0500

Changed in nova (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.2.2-0ubuntu1

---------------
neutron (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (615e2d6) (LP: #1418695):
    - [3f73028] Configures RADVD to send managed flag in RA for DHCP_STATEFUL
    - [57bbce1] Arista L3 Ops is success if it is successful on one peer
    - [c1e2941] Fixes blocking of VRF config in Arista L3 Plugin
    - [81f1a7b] Do not duplicate message consumers
    - [fbabf07] If router is HA, get current_cidrs from keepalived object
    - [3332d4f] Fix AttributeError during startup of ovs agent in DVR mode
    - [755f2ad] Fix IP allocation for multiple slaac subnets
    - [e27f00d] Fix IPv6 Subnet Slaac Check
    - [88b73e6] Catch StaleDataError in update_device_down
    - [6d9dd88] Speed up initial L3 full sync time
    - [dbc630a] Make L3 HA VIPs ordering consistent in keepalived.conf
    - [82bf4af] Specify prefix length for IPv6 subnets
    - [42630f9] Fix for KeyError: 'gw_port_host' on l3_agent
    - [7c82512] NSX: synchronize floating IP operations
    - [5531d6d] NSX: Remove logic for creating chained logical switches
    - [b80a68e] [apic ml2] Bind ports regardless of the owner
    - [175e869] Reset policies after RESOURCE_ATTRIBUTE_MAP is populated
    - [66a91dd] Use stop() method on MessageHandlingServer
    - [097607a] Issue warning when running DHCP agent with dnsmasq < 2.67
    - [560ef81] Fix neutron hang for IPv6 allocation pool update
    - [f979dd6] Fix for FIPs duplicated across hosts for DVR
    - [327e325] ipv6: set OtherConfig flag for DHCPv6 stateless subnets
    - [6c490a9] radvd: pass -m syslog to avoid thread lock for radvd 2.0+
    - [a89ae1b] Eventlet green threads not released back to pool
    - [c6ef4e8] return the dict of port when no sec-group involved
    - [ab8f277] Moves the HA resource creations outside of transaction
    - [b776d19] Delete FIP namespace when last VM is deleted
    - [81ecf5b] Fix race condition on processing DVR floating IPs
    - [b297604] Fix a race condition adding a security group rule
    - [2f97180] Auto allocate gateway_ip even for SLAAC subnets
    - [6068320] Fix enable_metadata_network flag
    - [c96217a] Teach DHCP Agent about DVR router interfaces
    - [615e2d6] BSN: Optimistic locking strategy for consistency
  * d/control: Bump minimum python-eventlet to get socket_timeout support.
    (LP: #1419117).
 -- Chuck Short <email address hidden> Mon, 09 Feb 2015 15:36:16 -0500

Changed in neutron (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2014.2.2-0ubuntu1

---------------
cinder (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (dc00837) (LP: #1418695):
    - [f88dc84] Add client_socket_timeout option
    - [ab9a1ad] Create "image_conversion_dir" before creating temporary file
    - [6020cc6] Defining the variable "tmp" before try block
    - [67cdc1f] Set 'driver_volume_type' to 'gpfs'
    - [0b2f278] Garbage Remains when Attached Volume is Migrated with NFS Driver
    - [215fb06] NetApp fix to set non default server port in api
    - [7ebaf68] Fix eqlx endless loop when server closes the connection
    - [58f7633] Fix eqlx CLI output parsing on bad input
    - [32f7788] Fix zfssa driver volume attach to work with latest zfssa software
    - [ed4681f] LIO: Fix UnboundLocalError in ensure_export
    - [3965a5f] Remove import of private _lazy module
    - [23c77ed] Mock calls to rpm and dpkg from NetApp unit tests
    - [81a308d] NetApp E-series: Do not log passwords in requests
    - [ae717b1] Ensure that lun_id is an int for NetApp Drivers
    - [36bb8c2] Catch ImageNotFound exception when deleting rbd volume
    - [a843aff] Correct the message string
    - [08bf231] Fix NetApp AutoSupport Shortcomings.
    - [4b6b7c3] Raise exception if invalid IP is specified
    - [dc00837] NetApp 7mode NFS driver doesn't honor netapp_vfiler option
  * d/p/fix-requirements.patch: Rebased.
  * d/p/revert-oslo-i18n-changes.patch: Added to revert use of oslo.i18n support
    that is not in utopic.
  * d/control: Bump minimum python-eventlet to get socket_timeout support.
    (LP: #1419117).
 -- Chuck Short <email address hidden> Mon, 09 Feb 2015 15:01:22 -0500

Changed in cinder (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2014.2.2-0ubuntu1

---------------
horizon (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (697888b) (LP: #1418695):
    - [889f9d9] Update project limits when using input selector
    - [be88d14] Update project limits when flavor changes
    - [0723e70] Fix metering daily display
    - [5603578] Fix Horizon crash when parsing volume list
    - [e100279] Only enable one images filter button
    - [60d01cc] add missing icons for Project > Images filter
    - [8a717d9] Fix sorting by size for Project->Images table
    - [070771b] removing mandatory mark for post_creation tab
    - [9120a7f] Removing Moscow's timezone check
    - [e8a66a4] Horizon login page contains DOS attack mechanism
    - [962a0a7] Fix popup error when volume service disabled
    - [bcac1a8] Gracefully handle failures to retrieve a flavor
    - [2cd9435] Return eye-icon to its place when validation message is shown
    - [9b11e2e] Fix timezones in line chart
    - [bca0f47] Disable router HA attribute due to Neutron bug
    - [b2dc30d] Remove glyphicon-eye-open icon from Description
    - [697888b] Remove selenium dependency when not using selenium tests
  * d/p/prevent_login_page_DOS.patch: Dropped. Fix is now upstream.
 -- Chuck Short <email address hidden> Mon, 09 Feb 2015 15:28:53 -0500

Changed in horizon (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 2014.2.2-0ubuntu2

---------------
ceilometer (2014.2.2-0ubuntu2) utopic; urgency=medium

  [ Corey Bryant ]
  * /d/p/mongodb-autoreconnect.patch: Dropped as it is breaking
    ceilometer-dbsync (LP: #1421663).
 -- Chuck Short <email address hidden> Fri, 13 Feb 2015 15:28:25 -0500

Changed in ceilometer (Ubuntu Utopic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers